Get Funding Rates
curl --request GET \
--url https://api.ondoperps.xyz/v1/perps/funding_ratesimport requests
url = "https://api.ondoperps.xyz/v1/perps/funding_rates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ondoperps.xyz/v1/perps/funding_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"market": "AAPL-USD.P",
"rate": "0.0000125",
"intervalEnds": "2025-03-05T16:00:00Z",
"premiums": [
{
"time": "2025-03-05T15:00:00Z",
"premiumIndex": "0.000025"
},
{
"time": "2025-03-05T15:30:00Z",
"premiumIndex": "0.000015"
}
]
}
}{
"success": false,
"error": "Description of the error",
"error_code": "bad_query_param"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Funding Rate
Get Funding Rates
Get an estimate of the current-interval funding rate in a given market, as well as when the next funding is and what premium index measurements make up the funding rate. For how funding is calculated and applied, see Funding rates.
GET
/
v1
/
perps
/
funding_rates
Get Funding Rates
Query Parameters
Market to query
Example:
"AAPL-USD.P"
Response
Current funding rate estimate
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
⌘I